<?php
//setlocale(LC_ALL, 'ru_RU.UTF-8');
set_time_limit(0);
ignore_user_abort(true);
$_SERVER["DOCUMENT_ROOT"] = realpath(dirname(__FILE__) . '/../../../');
$DOCUMENT_ROOT = $_SERVER["DOCUMENT_ROOT"];
if (!defined('NO_KEEP_STATISTIC')) {
    define("NO_KEEP_STATISTIC", true);
}
if (!defined('NOT_CHECK_PERMISSIONS')) {
    define("NOT_CHECK_PERMISSIONS", true);
}
if (!defined('LOGFILE')) {
    define("LOGFILE", $DOCUMENT_ROOT . '/bitrix/modules/hixload/logs/hixload.log');
}
if (!defined('DATAFILE')) {
    define("DATAFILE", $DOCUMENT_ROOT . '/bitrix/modules/hixload/logs/lastload.php');
}
if (!defined('MAPFILE')) {
    define("MAPFILE", $DOCUMENT_ROOT . '/bitrix/modules/hixload/logs/prodmap.php');
}
if (!defined('DIR_IMAGE')) {
    define("DIR_IMAGE", $DOCUMENT_ROOT . '/upload/hixload');
}

if (!is_dir(DIR_IMAGE)) {
    mkdir(DIR_IMAGE, 0777, true);
}

// --> Обработка всех мыслимых ошибок
function log_error($num, $str, $file, $line, $context = null)
{
    //log_exception( new ErrorException( $str, 0, $num, $file, $line ) );
}

function log_exception($e)
{
    $report = array('code' => 'ERROR');
    $report['msg'] = $e->getMessage();
    file_put_contents(LOGFILE, json_encode($report, JSON_UNESCAPED_UNICODE));
    //exit();
}

function check_for_fatal()
{
    $error = error_get_last();
    if ($error["type"] == E_ERROR) {
        log_error($error["type"], $error["message"], $error["file"], $error["line"]);
    }
}

register_shutdown_function("check_for_fatal");
set_error_handler("log_error");
set_exception_handler("log_exception");
// Обработка всех мыслимых ошибок -->

ini_set("display_errors", "off");
error_reporting(E_ALL);

require_once($_SERVER["DOCUMENT_ROOT"] . "/bitrix/modules/main/include/prolog_before.php");
require_once($_SERVER["DOCUMENT_ROOT"] . '/bitrix/modules/hixload/lib/hiconix.class.php');

// --> Полезная часть
$hixload = new Hiconix();
$hixload->doLoad();
// Полезная часть -->

require($_SERVER["DOCUMENT_ROOT"] . "/bitrix/modules/main/include/epilog_after.php");