<?php

use Bitrix\Main\Loader;

require_once($_SERVER["DOCUMENT_ROOT"] . "/bitrix/modules/main/include/prolog_admin_before.php");
require_once($_SERVER["DOCUMENT_ROOT"] . "/bitrix/modules/hixload/prolog.php");
require_once($_SERVER["DOCUMENT_ROOT"] . "/bitrix/modules/hixload/lib/hiconix.class.php");
if (!defined('LOGFILE')) {
    define('LOGFILE', $_SERVER["DOCUMENT_ROOT"] . "/bitrix/modules/hixload/logs/hixload.log");
}
if (!defined('DATAFILE')) {
    define("DATAFILE", $_SERVER["DOCUMENT_ROOT"] . '/bitrix/modules/hixload/logs/lastload.php');
}
if (!defined('MAPFILE')) {
    define("MAPFILE", $_SERVER["DOCUMENT_ROOT"] . '/bitrix/modules/hixload/logs/prodmap.php');
}
if (!defined('DIR_IMAGE')) {
    define("DIR_IMAGE", $_SERVER["DOCUMENT_ROOT"] . '/upload/hixload');
}
if (!defined('START_CMD')) {
    define('START_CMD', 'php ' . $_SERVER["DOCUMENT_ROOT"] . "/bitrix/modules/hixload/hix_load.php > /dev/null &");
}
$HIXLOAD_RIGHT = $APPLICATION->GetGroupRight("hixload");
if ($HIXLOAD_RIGHT != "W") $APPLICATION->AuthForm(GetMessage("ACCESS_DENIED"));

if (isset($_GET['search'])) {
    if (strlen($_GET['search']) > 1) {
        $hixload = new Hiconix();
        $data = json_encode($hixload->getProdSearch($_GET['search']));
    } else {
        $data = json_encode(array('error' => 'NOSEARCH'));
    }
    header('Content-Type: application/json');
    header('Content-Length: ' . strlen($data));
    echo $data;
    die();
}

if ($_SERVER["REQUEST_METHOD"] == "POST" && !empty($_POST['HIX_ID'])) {
    $hixload = new Hiconix();
    if ($hixload->editProdMap($_POST)) {
        $data = json_encode(array('success' => 1));
    } else {
        $data = json_encode(array('error' => 1));
    }
    header('Content-Type: application/json');
    header('Content-Length: ' . strlen($data));
    echo $data;
    die();
}
