<?php
$logfile = $_SERVER['DOCUMENT_ROOT'] . '/bitrix/modules/hixload/logs/hixload.log';
if(is_readable($logfile)) {
	$data = file_get_contents($logfile);
	$res = json_decode($data, true);
	if( empty($res['code']) || in_array($res['code'], array('ERROR', 'COMPLETE')) ) {
		unlink($logfile);
	} elseif($res['code'] == 'LOADED') {
		$res['code'] = 'LOAD_COMPLETE';
		file_put_contents( $logfile, json_encode($res, JSON_UNESCAPED_UNICODE) );
	}
} else {
	$data = json_encode( array('code' => 'NOFILE' ) );
}
header('Content-Type: application/json');
header('Content-Length: ' . strlen($data));
echo $data;
